Snapvisor Docs

Ignore a test change

Ignore a test change so its diffs no longer require review and are automatically approved on future builds. Use it to silence a change that has been identified as flaky.

POST
/projects/{owner}/{project}/changes/{changeId}/ignore

Ignore a test change so its diffs no longer require review and are automatically approved on future builds. Use it to silence a change that has been identified as flaky.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
changeId*string

Identifier of the change to update, as returned in a diff's change.id.

Query Parameters

metricsPeriod?string

Period over which the test flakiness metrics are computed.

Default"LAST_7_DAYS"

Value in

  • "LAST_24_HOURS"
  • "LAST_3_DAYS"
  • "LAST_7_DAYS"
  • "LAST_30_DAYS"
  • "LAST_90_DAYS"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/changes/string/ignore"
{  "id": "string",  "ignored": true,  "occurrences": 0}